Skip to main content

Search resources

GET 

/api/v1/ManagedResource/Search

Returns a page of resources that you can filter by type, domain, operating system, resource group and last scan date. This is the recommended way to list resources.

Permission required: Administrator signed in with multifactor authentication, or an application account.

Values for filterType and type: 0 = Host, 1 = Domain, 2 = Website, 3 = AzureAdTenant, 4 = SecretVault, 5 = Database.

Values for manageAccount: 0 = Unmanaged, 1 = Managed.

Values for sshTrustActionType: 0 = AlwaysTrustIgnoreThumbprint, 1 = WarnOnThumbprintMismatch, 2 = ErrorOnThumbprintMismatch.

Values for certificateType: 0 = WinRM, 1 = RDP, 2 = SSH.

Request​

Responses​

Returns an object with the page of resources in data and the total count in recordsTotal.